Generation Framework

## org.eclipse.gmf.gmfgraph
Interface GeneralFacet

All Superinterfaces:
  EObject, Notifier, VisualFacet

All Known Implementing Classes:
  GeneralFacetImpl

public interface GeneralFacet
extends VisualFacet

A representation of the model object 'General Facet'. provide means to attach arbitrary data to your diagram element definition. It's up to you (template author) to process it somehow.

The following features are supported:

- `Identifier`
- `Data`

See Also:
  `GMFGraphPackage.getGeneralFacet()`
** Generated **
Model:

Method Summary
`java.lang.String` `getData()` Returns the value of the 'Data' attribute
`java.lang.String` `getIdentifier()` Returns the value of the 'Identifier' attribute
`void` `setData(java.lang.String value)` Sets the value of the '`Data`' attribute
`void` `setIdentifier(java.lang.String value)` Sets the value of the '`Identifier`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getIdentifier

    public java.lang.String getIdentifier()

  Returns the value of the 'Identifier' attribute.

  If the meaning of the 'Identifier' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Identifier' attribute.
  See Also:
    `GeneralFacet.setIdentifier(String)`, `GMFGraphPackage.getGeneralFacet_Identifier()`
  ** Generated **
  Model:
    id="true"

### setIdentifier

    public void setIdentifier(java.lang.String value)

  Sets the value of the '`Identifier`' attribute.

  Parameters:
    `value` - the new value of the 'Identifier' attribute.
  See Also:
    `GeneralFacet.getIdentifier()`
  ** Generated **

### getData

    public java.lang.String getData()

  Returns the value of the 'Data' attribute.

  If the meaning of the 'Data' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Data' attribute.
  See Also:
    `GeneralFacet.setData(String)`, `GMFGraphPackage.getGeneralFacet_Data()`
  ** Generated **
  Model:

### setData

    public void setData(java.lang.String value)

  Sets the value of the '`Data`' attribute.

  Parameters:
    `value` - the new value of the 'Data' attribute.
  See Also:
    `GeneralFacet.getData()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.